<div class="btnAcrossPageName">
  <!-- add -->
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='ADD_NEW' (click)='showModalUpdate(null, footerTmpl)'
             mbButtonText="{{'staffAbs.add' | translate}}"></mb-button>
</div>

<div class="content__item content__item--border bg__content--default">
    <form nz-form [formGroup]='formSearch' style='margin-bottom: 8px' (keyup.enter)='search(1)'>
        <div nz-row [nzGutter]='[30,30]'>
        <!--    Form tìm kiếm -->
        <div nz-col [nzXs]='24' [nzLg]='6'>
            <mb-select [mbDataSelects]='groupCodeList' formControlName='groupCode'
                    [mbKeyValueStringType]="true"
                    mbPlaceholder="--{{'staffAbs.leaveReason.groupCode' | translate }}--"
                    mbLabelText="{{'staffAbs.leaveReason.groupCode' | translate}}"></mb-select>
        </div>
        <div nz-col [nzXs]='24' [nzLg]='6'>
            <mb-select [mbDataSelects]='workDayTypeList'
                    [mbKeyLabel]="'code'"
                    [mbKeyValue]="'code'"
                    formControlName='workdayTypeCode'
                    [mbKeyValueStringType]="true"
                    mbPlaceholder="--{{'staffAbs.leaveReason.workdayTypeCode' | translate }}--"
                    mbLabelText="{{'staffAbs.leaveReason.workdayTypeCode' | translate}}"></mb-select>
        </div>
        <div nz-col [nzXs]='24' [nzLg]='6'>
            <mb-input-text formControlName='code' [mbMaxLength]='200'
                        mbPlaceholderText="--{{'staffAbs.leaveReason.code' | translate}}--"
                        mbLabelText="{{'staffAbs.leaveReason.code' | translate}}"></mb-input-text>
        </div>
        <div nz-col [nzXs]='24' [nzLg]='6'>
            <mb-input-text formControlName='name' [mbMaxLength]='200'
                        mbPlaceholderText="--{{'staffAbs.leaveReason.name' | translate}}--"
                        mbLabelText="{{'staffAbs.leaveReason.name' | translate}}"></mb-input-text>
        </div>
        <!--    End Form tìm kiếm-->
        </div>
    </form>


  <!-- button -->
  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>
    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='SEARCH' (click)='search(null)'
                   mbButtonText="{{'staffAbs.label.search' | translate}}"></mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>

</div>



<div class='search__result'>
  <mb-table-wrap>
    <mb-table (changePageNum)='search($event)' [tableConfig]='tableConfig' [tableData]='items'></mb-table>
  </mb-table-wrap>
</div>


<!-- template action -->
<ng-template #actionTmpl let-reasonLeaveId='reasonLeaveId'>
    <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt"
                (click)="showModalUpdate(reasonLeaveId, footerTmpl)"></mb-button>
    <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
                nzPopconfirmTitle="{{'staffAbs.table.action.confirmDelete' | translate}}"
                nzCancelText="{{'staffAbs.table.action.cancel' | translate}}"
                nzOkType="primary"
                nzOkText="{{'staffAbs.table.action.yes' | translate}}"
                (nzOnConfirm)="doDelete(reasonLeaveId)"
                nzPopconfirmPlacement="top" mbPrefixIcon="fal fa-trash-alt"></mb-button>
</ng-template>
<ng-template #timeOffTypeTemplate let-timeOffType='timeOffType'>
    <span *ngIf="timeOffType === 1">{{'staffAbs.leaveReason.timeOffType.1' | translate}}</span>
    <span *ngIf="timeOffType === 2">{{'staffAbs.leaveReason.timeOffType.2' | translate}}</span>
</ng-template>

<ng-template #footerTmpl>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>

